package com.elab.spring.design.group;

public interface GroupRouteInvocation<T, R> {
    /**
     * 分组名称
     *
     * @return
     */
    public String groupName();

    /**
     * 唯一的key标识
     *
     * @return
     */
    public String unionKey();

    /**
     * 执行方法
     *
     * @param req
     * @return
     */
    public R invoke(T req);
}
